jvx.geom

## Class PwLocalRemesh

- java.lang.Object
- - jv.object.PsObject
  - - jvx.project.PjWorkshop
    - - jvx.geom.PwLocalRemesh

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PjWorkshopIf

      public class PwLocalRemesh
      extends PjWorkshop

  Workshop gives access to a number of local mesh modeling tools.
  See Also:
    Serialized Form
  Author:
    Ulrich Reitebuch
  Version:
    18.12.09, 1.00 created (ur)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COLLAPSE_EDGE` Identifier for Collapse Edge mode.
    `static int` | `FLIP_EDGE` Identifier for Flip Edge mode.
    `static int` | `FLIP_ELEMENT` Identifier for Flip Element mode.
    `static int` | `IDENTIFY_MARKED_VERTICES` Identifier for Identify Marked Vertices mode.
    `static int` | `REMOVE_EDGE` Identifier for Remove Edge mode.
    `static int` | `REMOVE_VERTEX_FILL_STAR` Identifier for Remove Vertex Fill Star mode.
    `static int` | `ROTATE_STAR` Identifier for Rotate Star mode.
    `static int` | `SPLIT_CENTRAL` Identifier for Split Central mode.
    `static int` | `SPLIT_ELEMENT` Identifier for Split Element mode.

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

    - ### Fields inherited from interface jv.project.PjWorkshopIf

      `MODE_BUG, MODE_STANDARD, MODE_VALIDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PwLocalRemesh()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyRemeshing()` Apply the currently selected remeshing method to the workshop's geometry.
    `void` | `cancel()` Cancel all changes made by this workshop and close the dialog window.
    `void` | `listenToGeometryUpdates(boolean flag)` Toggle automatic remeshing on elementSet updates.
    `void` | `ok()` Confirm all changes made by this workshop and close the dialog window.
    `void` | `setCurrentMode(int mode)` Set current remeshing mode.
    `void` | `setGeometry(PgGeometry geom)` Set geometry to the workshop.
    `boolean` | `update(java.lang.Object event)` Update whenever a child has changed.

    - ### Methods inherited from class jvx.project.PjWorkshop

      `close, getDisplay, getDisplays, getGeometry, getMode, getSavedGeometry, getViewer, init, isModal, isStandalone, removeGeometry, reset, setDisplay, setDisplays, setModal, setMode, setStandalone, setViewer`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getFather, getName, setParent`

- - ### Field Detail

    - #### FLIP_EDGE

          public static final int FLIP_EDGE

      Identifier for Flip Edge mode.
      See Also:
        Constant Field Values

    - #### COLLAPSE_EDGE

          public static final int COLLAPSE_EDGE

      Identifier for Collapse Edge mode.
      See Also:
        Constant Field Values

    - #### REMOVE_EDGE

          public static final int REMOVE_EDGE

      Identifier for Remove Edge mode.
      See Also:
        Constant Field Values

    - #### SPLIT_CENTRAL

          public static final int SPLIT_CENTRAL

      Identifier for Split Central mode.
      See Also:
        Constant Field Values

    - #### FLIP_ELEMENT

          public static final int FLIP_ELEMENT

      Identifier for Flip Element mode.
      See Also:
        Constant Field Values

    - #### ROTATE_STAR

          public static final int ROTATE_STAR

      Identifier for Rotate Star mode.
      See Also:
        Constant Field Values

    - #### SPLIT_ELEMENT

          public static final int SPLIT_ELEMENT

      Identifier for Split Element mode.
      See Also:
        Constant Field Values

    - #### REMOVE_VERTEX_FILL_STAR

          public static final int REMOVE_VERTEX_FILL_STAR

      Identifier for Remove Vertex Fill Star mode.
      See Also:
        Constant Field Values

    - #### IDENTIFY_MARKED_VERTICES

          public static final int IDENTIFY_MARKED_VERTICES

      Identifier for Identify Marked Vertices mode.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PwLocalRemesh

          public PwLocalRemesh()

      Constructor.

  - ### Method Detail

    - #### setGeometry

          public void setGeometry(PgGeometry geom)

      Set geometry to the workshop.
      Specified by:
        `setGeometry` in interface `PjWorkshopIf`
      Overrides:
        `setGeometry` in class `PjWorkshop`
      Parameters:
        `geom` - the workshop modifies this geometry.

    - #### listenToGeometryUpdates

          public void listenToGeometryUpdates(boolean flag)

      Toggle automatic remeshing on elementSet updates.

    - #### setCurrentMode

          public void setCurrentMode(int mode)

      Set current remeshing mode.

    - #### update

          public boolean update(java.lang.Object event)

      Update whenever a child has changed.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PjWorkshop`
      Parameters:
        `event` - sender of this update.
      Returns:
        true if update was correctly handled by superclass.
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### applyRemeshing

          public void applyRemeshing()

      Apply the currently selected remeshing method to the workshop's geometry.

    - #### cancel

          public void cancel()

      Cancel all changes made by this workshop and close the dialog window.
      Overrides:
        `cancel` in class `PjWorkshop`

    - #### ok

          public void ok()

      Confirm all changes made by this workshop and close the dialog window.
      Overrides:
        `ok` in class `PjWorkshop`

"

The software JavaView? is copyright protected. All Rights Reserved.
"